Public Member Functions | Public Attributes | List of all members
WPSOLEParserObject Struct Reference

small struct to store an object More...

`#include <WPSOLEParser.h>`

## Public Member Functions
| WPSOLEParserObject ()
| constructor More...

## Public Attributes
WPSPosition | m_position
| the position More...
librevenge::RVNGBinaryData | m_data
| the data More...
std::string | m_mime
| the mime type More...

## Detailed Description

small struct to store an object

## Constructor & Destructor Documentation

## ◆ WPSOLEParserObject()

WPSOLEParserObject::WPSOLEParserObject | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_data

librevenge::RVNGBinaryData WPSOLEParserObject::m_data

the data

Referenced by WPSOLEParser::parse(), and WPS4Graph::readObject().

## ◆ m_mime

std::string WPSOLEParserObject::m_mime

the mime type

Referenced by WPSOLEParser::parse().

## ◆ m_position

WPSPosition WPSOLEParserObject::m_position

the position

Referenced by WPSOLEParser::parse().

The documentation for this struct was generated from the following file:

- WPSOLEParser.h